Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceKnowledgeBase

List Knowledge Bases

GET
/voice/knowledge-bases

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Query Parameters

page?integer
Default1
Range1 <= value <= 9007199254740991
limit?integer
Default20
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://samva.app/api/v1/voice/knowledge-bases"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
      "name": "string",
      "description": "string",
      "documentCount": -9007199254740991,
      "vectorCount": -9007199254740991,
      "lastSyncedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": -9007199254740991,
    "limit": -9007199254740991,
    "total": -9007199254740991,
    "totalPages": -9007199254740991
  }
}